<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: Device/Nuvoton/Mini51Series/Source/system_Mini51Series.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_4c76ddfc10a27668d6c42d3412320ee0.html">Device</a></li><li class="navelem"><a class="el" href="../../dir_dfa946205a9a0ffc7bda9b97689fa4ff.html">Nuvoton</a></li><li class="navelem"><a class="el" href="../../dir_121a9ecaa66bd755f16cf1369c08942a.html">Mini51Series</a></li><li class="navelem"><a class="el" href="../../dir_0ed8748315c083fd326663c7d3aef8a1.html">Source</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">system_Mini51Series.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Mini51 series system clock init code and assert handler.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &quot;<a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for system_Mini51Series.c:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/dd6/system___mini51_series_8c__incl.png" border="0" usemap="#a_device_2_nuvoton_2_mini51_series_2_source_2system___mini51_series_8c" alt=""/></div>
<map name="a_device_2_nuvoton_2_mini51_series_2_source_2system___mini51_series_8c" id="a_device_2_nuvoton_2_mini51_series_2_source_2system___mini51_series_8c">
<area shape="rect" title="Mini51 series system clock init code and assert handler." alt="" coords="287,5,493,47"/>
<area shape="rect" title=" " alt="" coords="5,169,71,196"/>
<area shape="rect" href="../../de/d94/_mini51_series_8h.html" title="Mini51 series peripheral access layer header file. This file contains all the peripheral register&#39;s d..." alt="" coords="649,95,757,121"/>
<area shape="rect" title=" " alt="" coords="95,169,186,196"/>
<area shape="rect" href="../../dd/d6a/system___mini51_series_8h.html" title="Mini51 series system clock definition file." alt="" coords="211,169,369,196"/>
<area shape="rect" href="../../d9/d87/sys_8h.html" title="Mini51 series SYS driver header file." alt="" coords="393,169,448,196"/>
<area shape="rect" href="../../d3/d89/clk_8h.html" title="Mini51 series CLK driver header file." alt="" coords="473,169,523,196"/>
<area shape="rect" href="../../dc/d2f/acmp_8h.html" title="Mini51 series Analog Comparator(ACMP) driver header file." alt="" coords="548,169,613,196"/>
<area shape="rect" href="../../d7/d19/adc_8h.html" title="Mini51 series ADC driver header file." alt="" coords="637,169,692,196"/>
<area shape="rect" href="../../dc/d00/fmc_8h.html" title="MINI51 series FMC driver header file." alt="" coords="716,169,771,196"/>
<area shape="rect" href="../../d6/d7c/gpio_8h.html" title="Mini51 series GPIO driver header file." alt="" coords="795,169,852,196"/>
<area shape="rect" href="../../d5/daf/i2c_8h.html" title="Mini51 series I2C driver header file." alt="" coords="877,169,927,196"/>
<area shape="rect" href="../../d6/db9/pwm_8h.html" title="Mini51 series PWM driver header file." alt="" coords="952,169,1012,196"/>
<area shape="rect" href="../../da/d87/spi_8h.html" title="Mini51 series SPI driver header file." alt="" coords="1037,169,1087,196"/>
<area shape="rect" href="../../d5/dd0/timer_8h.html" title="Mini51 series TIMER driver header file." alt="" coords="1112,169,1175,196"/>
<area shape="rect" href="../../d2/d86/uart_8h.html" title="Mini51 series UART driver header file." alt="" coords="1199,169,1253,196"/>
<area shape="rect" href="../../d0/de2/wdt_8h.html" title="Mini51 series WDT driver header file." alt="" coords="1278,169,1331,196"/>
</map>
</div>
</div>
<p><a href="../../dc/d23/system___mini51_series_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ae0c36a9591fe6e9c45ecb21a794f0f0f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d23/system___mini51_series_8c.html#ae0c36a9591fe6e9c45ecb21a794f0f0f">SystemCoreClockUpdate</a> (void)</td></tr>
<tr class="memdesc:ae0c36a9591fe6e9c45ecb21a794f0f0f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to update the variable SystemCoreClock and must be called whenever the core clock is changed.  <a href="../../dc/d23/system___mini51_series_8c.html#ae0c36a9591fe6e9c45ecb21a794f0f0f">More...</a><br /></td></tr>
<tr class="separator:ae0c36a9591fe6e9c45ecb21a794f0f0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aa3cd3e43291e81e795d642b79b6088e6"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d23/system___mini51_series_8c.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a> = <a class="el" href="../../dd/d6a/system___mini51_series_8h.html#abbd628d8a30e6695b3715ae72a693e56">__HSI</a></td></tr>
<tr class="separator:aa3cd3e43291e81e795d642b79b6088e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63bedf89ae7fbb102b8653aca20d3a14"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d23/system___mini51_series_8c.html#a63bedf89ae7fbb102b8653aca20d3a14">CyclesPerUs</a> = (<a class="el" href="../../dd/d6a/system___mini51_series_8h.html#abbd628d8a30e6695b3715ae72a693e56">__HSI</a> / 1000000)</td></tr>
<tr class="separator:a63bedf89ae7fbb102b8653aca20d3a14"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Mini51 series system clock init code and assert handler. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>5 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>13/11/07 4:40p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../dc/d23/system___mini51_series_8c_source.html">system_Mini51Series.c</a>.</p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="ae0c36a9591fe6e9c45ecb21a794f0f0f" name="ae0c36a9591fe6e9c45ecb21a794f0f0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0c36a9591fe6e9c45ecb21a794f0f0f">&#9670;&nbsp;</a></span>SystemCoreClockUpdate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SystemCoreClockUpdate </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to update the variable SystemCoreClock and must be called whenever the core clock is changed. </p>
<p >Updates the SystemCoreClock with current core Clock retrieved from CPU registers.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None.</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None.</td><td></td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d23/system___mini51_series_8c_source.html#l00031">31</a> of file <a class="el" href="../../dc/d23/system___mini51_series_8c_source.html">system_Mini51Series.c</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/d23/system___mini51_series_8c_ae0c36a9591fe6e9c45ecb21a794f0f0f_icgraph.png" border="0" usemap="#adc/d23/system___mini51_series_8c_ae0c36a9591fe6e9c45ecb21a794f0f0f_icgraph" alt=""/></div>
<map name="adc/d23/system___mini51_series_8c_ae0c36a9591fe6e9c45ecb21a794f0f0f_icgraph" id="adc/d23/system___mini51_series_8c_ae0c36a9591fe6e9c45ecb21a794f0f0f_icgraph">
<area shape="rect" title="This function is used to update the variable SystemCoreClock and must be called whenever the core clo..." alt="" coords="363,31,531,57"/>
<area shape="rect" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa95d8368f13a4b774dffbf895c750e64" title="This function get CPU frequency. The frequency unit is Hz." alt="" coords="183,5,311,32"/>
<area shape="rect" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27ded0f4435751be979927718884488f" title="This function get HCLK frequency. The frequency unit is Hz." alt="" coords="180,56,315,83"/>
<area shape="rect" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae3a43e332cf4de4b416980eeab502d07" title="Get the actual frequency of SPI bus clock. Only available in Master mode." alt="" coords="5,5,132,32"/>
<area shape="rect" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad923655d26fb14da88c61d4ed0125c44" title="This function make SPI module be ready to transfer. By default, the SPI transfer sequence is MSB firs..." alt="" coords="28,56,109,83"/>
<area shape="rect" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cee248bcbe05dfae8ab8b3bf89e8f13" title="Set the SPI bus clock. Only available in Master mode." alt="" coords="5,107,132,133"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a63bedf89ae7fbb102b8653aca20d3a14" name="a63bedf89ae7fbb102b8653aca20d3a14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63bedf89ae7fbb102b8653aca20d3a14">&#9670;&nbsp;</a></span>CyclesPerUs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t CyclesPerUs = (<a class="el" href="../../dd/d6a/system___mini51_series_8h.html#abbd628d8a30e6695b3715ae72a693e56">__HSI</a> / 1000000)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Cycles per micro second </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d23/system___mini51_series_8c_source.html#l00021">21</a> of file <a class="el" href="../../dc/d23/system___mini51_series_8c_source.html">system_Mini51Series.c</a>.</p>

</div>
</div>
<a id="aa3cd3e43291e81e795d642b79b6088e6" name="aa3cd3e43291e81e795d642b79b6088e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3cd3e43291e81e795d642b79b6088e6">&#9670;&nbsp;</a></span>SystemCoreClock</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t SystemCoreClock = <a class="el" href="../../dd/d6a/system___mini51_series_8h.html#abbd628d8a30e6695b3715ae72a693e56">__HSI</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >System Clock Frequency (Core Clock) </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d23/system___mini51_series_8c_source.html#l00020">20</a> of file <a class="el" href="../../dc/d23/system___mini51_series_8c_source.html">system_Mini51Series.c</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:39 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
